Bug 249971 - fdisk and fstab drive letters for same partitions don't match
fdisk and fstab drive letters for same partitions don't match
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 14:07 EDT by NILMONI DEB
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 10:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2007-07-28 14:07:28 EDT
Description of problem:

fdisk reports these two partitions on drive sda ->

/dev/sda5             672         927     2056288+  82  Linux swap / Solaris
/dev/sda8           12431       12557     1020096   82  Linux swap / Solaris

However, in /etc/fstab, the same two partitions are listed as on drive sdb ->

/dev/sdb5               swap                    swap    defaults        0 0
/dev/sdb8               swap                    swap    defaults        0 0

Note that the partition numbers match but why does /etc/fstab think these 
partitions are on drive sdb? I do have a drive sdb but it has a single 
partition sdb1 (which means sdb5 and sdb8 do not exist).

Version-Release number of selected component (if applicable):
setup-2.6.4-1.fc7

How reproducible:
always

Expected results:
/etc/fstab should report the same drive partitions as fdisk.

Additional info:
Comment 1 Phil Knirsch 2008-02-22 10:09:27 EST
Thats really strange. Though setup owns /etc/fstab, the file itself is
maintained by the mount utilities, so reassigning the bug to the proper component.

Read ya, Phil
Comment 2 Joel Andres Granados 2008-05-07 07:58:10 EDT
Can you please provide us with the anaconda logs of your install.  This is
located in /root.
Comment 4 Bug Zapper 2008-05-14 09:43:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Chris Lumens 2008-05-16 10:50:07 EDT
Partition names are not guaranteed to stay the same from reboot to reboot given
how hardware probing works.  This is why we were using labels in the past to
identify partitions and will be using UUIDs in the future.

Note You need to log in before you can comment on or make changes to this bug.